
#ifndef NETWIB_PKT_TYPES_INCLUDED
#define NETWIB_PKT_TYPES_INCLUDED 1

/*-------------------------------------------------------------*/
/* Protocol values */
typedef enum {
  NETWIB_IPPROTO_IP = 0,        /* Dummy protocol for TCP */
  NETWIB_IPPROTO_HOPOPTS = 0,   /* IPv6 Hop-by-Hop options */
  NETWIB_IPPROTO_ICMP4 = 1,     /* Internet Control Message Protocol */
  NETWIB_IPPROTO_IGMP = 2,      /* Internet Group Management Protocol */
  NETWIB_IPPROTO_IPIP = 4,      /* IPIP tunnels */
  NETWIB_IPPROTO_TCP = 6,       /* Transmission Control Protocol */
  NETWIB_IPPROTO_EGP = 8,       /* Exterior Gateway Protocol */
  NETWIB_IPPROTO_PUP = 12,      /* PUP protocol */
  NETWIB_IPPROTO_UDP = 17,      /* User Datagram Protocol */
  NETWIB_IPPROTO_IDP = 22,      /* XNS IDP protocol */
  NETWIB_IPPROTO_TP = 29,       /* SO Transport Protocol Class 4 */
  NETWIB_IPPROTO_IP6 = 41,      /* IPv6 header */
  NETWIB_IPPROTO_ROUTING = 43,  /* IPv6 routing header */
  NETWIB_IPPROTO_FRAGMENT = 44, /* IPv6 fragmentation header */
  NETWIB_IPPROTO_RSVP = 46,     /* Reservation Protocol */
  NETWIB_IPPROTO_GRE = 47,      /* General Routing Encapsulation */
  NETWIB_IPPROTO_ESP = 50,      /* encapsulating security payload */
  NETWIB_IPPROTO_AH = 51,       /* authentication header */
  NETWIB_IPPROTO_ICMP6 = 58,    /* ICMPv6 */
  NETWIB_IPPROTO_NONE = 59,     /* IPv6 no next header */
  NETWIB_IPPROTO_DSTOPTS = 60,  /* IPv6 destination options */
  NETWIB_IPPROTO_MTP = 92,      /* Multicast Transport Protocol */
  NETWIB_IPPROTO_ENCAP = 98,    /* Encapsulation Header */
  NETWIB_IPPROTO_PIM = 103,     /* Protocol Independent Multicast */
  NETWIB_IPPROTO_COMP = 108,    /* Compression Header Protocol */
  NETWIB_IPPROTO_RAW = 255      /* Raw IP packets */
} netwib_ipproto;

#endif
